<p align="center">
  <a title="IBM Streams" href="https://www.ibm.com/cloud/streaming-analytics">
    <img src="images/ibm-streams.png" alt="IBM Streams" height="96" width="96" />
  </a>
</p>

<h1 align="center">
  IBM Streams extension for Visual Studio Code
  <br>
  <a title="IBM Streams extension version" href="https://marketplace.visualstudio.com/items?itemName=IBM.ibm-streams">
    <img src="https://vsmarketplacebadge.apphb.com/version-short/ibm.ibm-streams.svg" alt="Version" />
  </a>
   <a title="IBM Streams extension downloads" href="https://marketplace.visualstudio.com/items?itemName=IBM.ibm-streams">
    <img src="https://vsmarketplacebadge.apphb.com/downloads-short/ibm.ibm-streams.svg" alt="Downloads" />
  </a>
  <a title="IBM Streams extension ratings" href="https://marketplace.visualstudio.com/items?itemName=IBM.ibm-streams">
    <img src="https://vsmarketplacebadge.apphb.com/rating-short/ibm.ibm-streams.svg" alt="Ratings" />
  </a>
</h1>

> Build solutions that drive real-time business decisions by combining streaming and stored data with analytics with IBM Streams.

This extension provides support for [IBM Streams](https://www.ibm.com/cloud/streaming-analytics) within the [Visual Studio Code](https://code.visualstudio.com) editor and works with the following Streams versions.

- [**IBM Cloud Pak for Data deployment**](https://www.ibm.com/support/knowledgecenter/SSQNUZ_3.5.0/svc-welcome/streams.html): Delivers a platform for combining streaming and stored data with AI to build solutions that impact business decisions in real time.
- [**IBM Streams standalone deployment**](https://www.ibm.com/support/knowledgecenter/en/SSCRJU_5.2.0/com.ibm.streams.welcome.doc/doc/kc-homepage.html) (on-premises): Delivers a programming language and IDE for applications, a runtime system and analytic toolkits to speed development.
- [**IBM Streaming Analytics on IBM Cloud**](https://cloud.ibm.com/docs/StreamingAnalytics?topic=StreamingAnalytics-gettingstarted): Offers most of the features of IBM Streams on an agile, cloud-based platform.

[Visual Studio Code 1.41.0](https://code.visualstudio.com/updates/v1_41) or later is required.

More information and documentation can be found [here](https://ibmstreams.github.io/vscode-ide).

## Getting started

Follow the [Quick start guide](https://ibmstreams.github.io/vscode-ide/docs/quick-start-guide/) to get up and running with this extension.

## Features

### Streams Explorer

Easily manage your Streams instances and toolkits, and access helpful resources. Learn more [here](https://ibmstreams.github.io/vscode-ide/docs/streams-explorer).

![Streams Explorer](https://github.com/IBMStreams/vscode-ide/blob/gh-pages/assets/images/index/streams-explorer.png?raw=true)

### Develop applications

Create Streams applications with [SPL](https://www.ibm.com/support/knowledgecenter/en/SSCRJU_5.3/com.ibm.streams.splangref.doc/doc/spl-container.html) language support included. Typical code editing features are supported, including content assist, code folding, etc. Learn more [here](https://ibmstreams.github.io/vscode-ide/docs/developing-spl-applications).

![Develop applications](https://github.com/IBMStreams/vscode-ide/blob/gh-pages/assets/images/index/develop-applications.png?raw=true)

### Build applications and submit jobs

Build your Streams applications and submit them directly to a Streams instance of your choice. If you already have Streams application bundles, you can submit those as well! Learn more [here](https://ibmstreams.github.io/vscode-ide/docs/building-running-applications).

![Build applications and submit jobs](https://github.com/IBMStreams/vscode-ide/blob/gh-pages/assets/images/index/build-applications-and-submit-jobs.png?raw=true)

### Job graph

Visualize and monitor your Streams jobs. You can monitor metrics and flow rates, view flowing data, and much more! Learn more [here](https://ibmstreams.github.io/vscode-ide/docs/building-running-applications#job-graph).

![Job graph](https://github.com/IBMStreams/vscode-ide/blob/gh-pages/assets/images/index/job-graph.png?raw=true)
